org.eclipse.wst.jsdt.debug.core.jsdi.event

## Interface ExceptionEvent

All Superinterfaces:
  Event, Locatable, LocatableEvent, Mirror

    public interface ExceptionEvent
    extends LocatableEvent

Description of a JSDI event indicating an exception has occurred.

Since:
  1.0
See Also:
  `EventQueue`, `EventSet`, `LocatableEvent`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `message()` Returns the message from the exception.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.event.LocatableEvent

`thread`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.event.Event

`request`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Locatable

`location`

### Method Detail

#### message

    java.lang.String message()

Returns the message from the exception.
This method can return `null`

Returns:
  the message from the exception or `null`